import type { ComboboxWatches, ComboboxProps, SuggestionsPropType, MsgPropType } from '../../schema';
import { InputIconController } from '../@deprecated/input/controller-icon';
import type { Generic } from 'adopted-style-sheets';
export declare class ComboboxController extends InputIconController implements ComboboxWatches {
    protected readonly component: Generic.Element.Component & ComboboxProps;
    constructor(component: Generic.Element.Component & ComboboxProps, name: string, host?: HTMLElement);
    validateSuggestions(value?: SuggestionsPropType): void;
    validateRequired(value?: boolean): void;
    validateValue(value?: string): void;
    validateMsg(value?: MsgPropType): void;
    validatePlaceholder(value?: string): void;
    componentWillLoad(): void;
}
